Updates the autopilot of the project with the specified id.

PUThttps://api.awork.com/api/v1/projects/{projectId}/autopilot
PUT https://api.awork.com/api/v1/projects/{projectId}/autopilot

Updates the autopilot of the project with the specified id. To access and modify the autopilot data the user needs to be the owner of the project or must have 'read' permissions of the feature 'project-master-data' globally or in their project role.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectIdstringRequired
format: uuid

The id of the project.

Request body Required

The model used to update the autopilot.

application/json

typestringRequired
minLength: 1

The type of the autopilot.

enabledbooleanRequired

Whether the autopilot is enabled.

alertsarray of objectRequired

The alerts of the autopilot. The collection must contain every alert type returned by GET /autopilot/availablealerts, including alerts that should be disabled.

Show 4 properties
idstringRequired
format: uuid

The id of the alert.

alertstringRequired
minLength: 1

The alert indicator.

enabledbooleanRequired

Whether the alert is enabled.

channelstringRequired
minLength: 1

The channel of the alert.

Responses

200 OK

application/json

typestringRequired
minLength: 1

The type of the autopilot.

enabledbooleanRequired

Whether the autopilot is enabled.

alertsarray of objectRequired

The alerts of the autopilot. The collection must contain every alert type returned by GET /autopilot/availablealerts, including alerts that should be disabled.

Show 4 properties
idstringRequired
format: uuid

The id of the alert.

alertstringRequired
minLength: 1

The alert indicator.

enabledbooleanRequired

Whether the alert is enabled.

channelstringRequired
minLength: 1

The channel of the alert.

idstringOptional
format: uuid

The id of the autopilot.

createdOnstringOptional
format: date-time

The date this object was created.

createdBystringOptional
format: uuid

The id of the user who created this object.

updatedOnstringOptional
format: date-time

The date this object was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this object.

Search documentation